package com.sdtool.common.entity.design.fabric;


import java.util.HashMap;
import java.util.List;

/**
 * fabric导出对象
 */
public class FabricMain {
    private String id;

    private String background;

    private BackgroundImage backgroundImage;

    private double height;

    private String version;

    private double width;

    private double zoom;

    private WorkSpace workSpace;

    private List<HashMap<String, Object>> objects;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBackground() {
        return background;
    }

    public void setBackground(String background) {
        this.background = background;
    }

    public BackgroundImage getBackgroundImage() {
        return backgroundImage;
    }

    public void setBackgroundImage(BackgroundImage backgroundImage) {
        this.backgroundImage = backgroundImage;
    }

    public double getHeight() {
        return height;
    }

    public void setHeight(double height) {
        this.height = height;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public double getWidth() {
        return width;
    }

    public void setWidth(double width) {
        this.width = width;
    }

    public double getZoom() {
        return zoom;
    }

    public void setZoom(double zoom) {
        this.zoom = zoom;
    }

    public WorkSpace getWorkSpace() {
        return workSpace;
    }

    public void setWorkSpace(WorkSpace workSpace) {
        this.workSpace = workSpace;
    }

    public List<HashMap<String, Object>> getObjects() {
        return objects;
    }

    public void setObjects(List<HashMap<String, Object>> objects) {
        this.objects = objects;
    }
}
